image: c33s/php:7.1

stages:
    - test
    - check

variables:
    COMPOSER_ALLOW_SUPERUSER:       '1'
    COMPOSER_NO_INTERACTION:        '1'
    SYMFONY_DEPRECATIONS_HELPER:    'weak'
    TIMEZONE:                       'Europe/Vienna'

before_script:
    - composer install

test:
    stage: test
    script:
        - bin/phpunit --coverage-text --colors=never

check:
    stage: check
    script:
        - vendor/friendsofphp/php-cs-fixer/php-cs-fixer fix --verbose --dry-run
